#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_missing:
	 dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_SHARED_LIBS=OFF \
	-DDRING_BUILD_DIR=$(CURDIR)/ring/ \
	-DRING_XML_INTERFACES_DIR=$(CURDIR)/ring/daemon/bin/dbus/ \
	-Dring_INCLUDE_DIRS=$(CURDIR)/ring/daemon/src/dring/
